Bug 211513 - Swing call not in EDT - HeapProgress.progress
Swing call not in EDT - HeapProgress.progress
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Jiri Sedlacek
issues@profiler
bugdb_13982723
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 12:23 UTC by Jiri Sedlacek
Modified: 2012-09-27 15:34 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2012-04-20 12:23:51 UTC
...
at javax.swing.JProgressBar$ModelListener.stateChanged(JProgressBar.java:652)
at javax.swing.DefaultBoundedRangeModel.fireStateChanged(DefaultBoundedRangeModel.java:364)
at javax.swing.DefaultBoundedRangeModel.setRangeProperties(DefaultBoundedRangeModel.java:302)
at javax.swing.DefaultBoundedRangeModel.setValue(DefaultBoundedRangeModel.java:168)
at org.netbeans.lib.profiler.heap.HeapProgress.progress(HeapProgress.java:87)
...
Comment 1 Jiri Sedlacek 2012-04-20 13:09:41 UTC
Fixed by http://hg.netbeans.org/profiler-main/rev/110b885de501.
Comment 2 Quality Engineering 2012-04-22 09:50:33 UTC
Integrated into 'main-golden', will be available in build *201204220400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/110b885de501
User: Jiri Sedlacek <jis@netbeans.org>
Log: Bugfix #211513 - update UI model in EDT thread


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo